﻿using AutoMapper;
using AutoMapper.Configuration;

namespace COA.EnterpriseServices.DataAccess
{
    public static class Mapping
    {
        public static IMapper GetMapper()
        {
            var configuration = new MapperConfigurationExpression();
            
            configuration.AddProfile<MappingProfile>();

            var mapperConfig = new MapperConfiguration(configuration);

            return new Mapper(mapperConfig);
        }
    }
}
