﻿namespace COA.EnterpriseServices.Creditors
{
    public class CreditorController
    {
        private readonly CreditorLibrary creditorLibrary;

        public CreditorController(CreditorLibrary creditorLibrary)
        {
            this.creditorLibrary = creditorLibrary;
        }

        public string GetCreditorStatus(int creditorId)
        {
            return creditorLibrary.GetCreditorStatus(creditorId);
        }

        public bool SetCreditorStatus(int creditorId, string status)
        {
            return creditorLibrary.SetCreditorStatus(creditorId, status);
        }

        public void AddOfferResponse(OfferResponse response)
        {
            creditorLibrary.AddOfferResponse(response);
        }
    }
}
